View Issue Details

IDProjectCategoryView StatusLast Update
0004578Project Tools & WebsitesGeneralpublic2021-03-02 19:45
ReporterKunda1 Assigned ToKunda1  
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionopen 
Product Version0.19 
Target Version0.20 
Summary0004578: Strings in the UI that aren't being translated
Description
  1. Source Code (link)
  2. Screenshot: https://i.imgur.com/ds0ghBL.png
    Review: Once translations are pushed please verify the 'Show tips' made it in to crowdin
  3. Source Code (link)
  4. Screenshot: https://i.imgur.com/A3R2DGH.png


WIP: https://forum.freecadweb.org/viewtopic.php?f=21&t=51825&start=20#p482519
Tagstranslation
FreeCAD InformationOS: Manjaro Linux (KDE//usr/share/xsessions/plasma)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.24267 (Git) AppImage
Build type: Release
Branch: master
Hash: b2ca86d8d72b636011a73394bf9bcdedb3b109b7
Python version: 3.8.6
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United States (en_US)

Relationships

parent of 0003901 assignedberndhahnebach FEM Many English strings that aren't translated in FEM workbench 
parent of 0004583 closedchennes PartDesign Some items in the PartDesign Workbench are not translatable. 
Not all the children of this issue are yet resolved or closed.

Activities

Kunda1

2021-02-28 16:59

administrator   ~0015461

Last edited: 2021-03-01 18:44

FreeCAD Pull Request 4533
FreeCAD master e0b5aade
FreeCAD master 2ff669e5
FreeCAD master bcb070de

yorik

2021-03-01 14:23

administrator   ~0015464

The above PR doesn't fix the issue, right?
Also, the ts file will be regenerated automatically... Does it make sense to remove stuff there?

Kunda1

2021-03-02 19:43

administrator   ~0015471

Continuing to remove trailing whitespace
FreeCAD master cb81426e

Kunda1

2021-03-02 19:44

administrator   ~0015472

@yorik no, it's an ongoing series of PRs

Kunda1

2021-03-02 19:45

administrator   ~0015473

continuing with FreeCAD Pull Request 4557

Related Changesets

FreeCAD: master e0b5aade

2021-02-27 22:19:43

luz paz


Committer: wwmayer Details Diff
Crowdin: StartPage - remove obsolete translation [skip ci]

Ticket 0004578
ref: https://crowdin.com/translate/freecad/7254/en-en?filter=basic&value=0#6572932
Affected Issues
0004578
mod - src/Mod/Start/Gui/Resources/translations/StartPage.ts Diff File

FreeCAD: master 2ff669e5

2021-02-27 22:26:04

luz paz


Committer: wwmayer Details Diff
Crowdin: Startpage: remove obsolete translation [skip ci] Affected Issues
0004578
mod - src/Mod/Start/Gui/Resources/translations/StartPage.ts Diff File

FreeCAD: master bcb070de

2021-02-27 22:27:34

luz paz


Committer: wwmayer Details Diff
Crowdin: Startpage - add whitespace to tooltip [skip ci] Affected Issues
0004578
mod - src/Mod/Start/Gui/DlgStartPreferences.ui Diff File

FreeCAD: master cb81426e

2021-03-02 15:38:06

luz paz


Committer: wwmayer Details Diff
Crowdin: remove trailing whitespace [skip ci] Affected Issues
0004578
mod - src/Gui/DlgEditor.ui Diff File
mod - src/Gui/DlgSettings3DView.ui Diff File
mod - src/Mod/Robot/Gui/CommandTrajectory.cpp Diff File

Issue History

Date Modified Username Field Change
2021-02-27 22:10 Kunda1 New Issue
2021-02-27 22:10 Kunda1 Status new => assigned
2021-02-27 22:10 Kunda1 Assigned To => yorik
2021-02-27 22:11 Kunda1 Description Updated
2021-02-27 22:11 Kunda1 Description Updated
2021-02-27 22:12 Kunda1 Description Updated
2021-02-27 22:17 Kunda1 Description Updated
2021-02-27 22:18 Kunda1 Description Updated
2021-02-27 22:32 Kunda1 Description Updated
2021-02-27 22:32 Kunda1 Description Updated
2021-02-27 22:33 Kunda1 Description Updated
2021-02-27 22:46 Kunda1 Assigned To yorik => Kunda1
2021-02-28 16:59 Kunda1 Note Added: 0015461
2021-02-28 17:00 Kunda1 Note Edited: 0015461
2021-03-01 14:23 yorik Note Added: 0015464
2021-03-01 18:20 Kunda1 Tag Attached: translation
2021-03-01 18:25 Kunda1 Relationship added parent of 0003901
2021-03-01 18:26 Kunda1 Relationship added parent of 0004583
2021-03-01 18:44 Kunda1 Note Edited: 0015461
2021-03-01 18:45 Kunda1 Changeset attached => FreeCAD master e0b5aade
2021-03-01 18:45 Kunda1 Changeset attached => FreeCAD master 2ff669e5
2021-03-01 18:45 Kunda1 Changeset attached => FreeCAD master bcb070de
2021-03-01 18:49 Kunda1 Description Updated
2021-03-02 19:43 Kunda1 Note Added: 0015471
2021-03-02 19:44 Kunda1 Note Added: 0015472
2021-03-02 19:44 Kunda1 Changeset attached => FreeCAD master cb81426e
2021-03-02 19:45 Kunda1 Note Added: 0015473